/*
 *  Terminology.r
 *  SkeletonAddition
 */

#include <Carbon/Carbon.r>
#include "TermCodes.h"

#define Reserved12 reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
#define Reserved13 Reserved12, reserved

resource kAETerminologyExtension (0, "Skeleton Terminology") {
	0x1,
	0x0,
	english,
	roman,
	{	/* array Suites: 8 elements */
		/* [1] */
		"Skeleton Suite",
		"Things that this addition supports",
		kSkeletonSuite,
		1,
		1,
		{	/* Events: */
			"do voodoo",
			"Do that voodoo that you do so well",
			kSkeletonSuite,
			kSkeletonEvent,
			typeText,
			"something that nobody else could do",
			replyRequired,
			singleItem,
			notEnumerated,
			Reserved13,
			noDirectParam,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			Reserved12,
			{	/* array OtherParams: 0 elements */
			},
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};
